GNU bug report logs - #27188
lex/yacc with subdir-objects and --disable-dependency-tracking broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Nick Brown <brownn@HIDDEN>; Keywords: confirmed; merged with #9859; dated Thu, 1 Jun 2017 15:13:02 UTC; Maintainer for automake is bug-automake@HIDDEN.
Added tag(s) confirmed. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 9859 27188. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27188 <at> debbugs.gnu.org:


Received: (at 27188) by debbugs.gnu.org; 17 Jun 2017 21:42:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 17 17:42:07 2017
Received: from localhost ([127.0.0.1]:53730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dMLTn-000881-Ns
	for submit <at> debbugs.gnu.org; Sat, 17 Jun 2017 17:42:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1dMLTl-00087X-DH
 for 27188 <at> debbugs.gnu.org; Sat, 17 Jun 2017 17:42:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1dMLTf-0006oz-8Q
 for 27188 <at> debbugs.gnu.org; Sat, 17 Jun 2017 17:41:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46570)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1dMLTb-0006oT-86; Sat, 17 Jun 2017 17:41:51 -0400
Received: from [2a01:e35:2ec2:e580:491c:541:7a4a:37d9] (port=52304
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1dMLTa-000208-Ii; Sat, 17 Jun 2017 17:41:50 -0400
From: Mathieu Lirzin <mthl@HIDDEN>
To: Nick Bowler <nbowler@HIDDEN>
Subject: Re: bug#27188: lex/yacc with subdir-objects and
 --disable-dependency-tracking broken
References: <1496327115.8761.26.camel@HIDDEN> <87vaobwdil.fsf@HIDDEN>
 <CADyTPEwzkmh_N3PeLxNmg8X-VAwiTy7_2hcLCq+LUYovVwp_LA@HIDDEN>
Date: Sat, 17 Jun 2017 23:41:47 +0200
In-Reply-To: <CADyTPEwzkmh_N3PeLxNmg8X-VAwiTy7_2hcLCq+LUYovVwp_LA@HIDDEN>
 (Nick Bowler's message of "Mon, 5 Jun 2017 19:16:56 -0400")
Message-ID: <8760funvfo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: 27188
Cc: Nick Brown <brownn@HIDDEN>, 27188 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello Nick,

Nick Bowler <nbowler@HIDDEN> writes:

> On 6/4/17, Mathieu Lirzin <mthl@HIDDEN> wrote:
>> Nick Brown <brownn@HIDDEN> writes:
>>> diff --git a/lib/am/lex.am b/lib/am/lex.am
>>> index d7ddc77..6357507 100644
>>> --- a/lib/am/lex.am
>>> +++ b/lib/am/lex.am
>>> @@ -23,6 +23,7 @@ endif %?MAINTAINER-MODE%
>>>
>>>  ?GENERIC?%EXT%%DERIVED-EXT%:
>>>  ?!GENERIC?%OBJ%: %SOURCE%
>>> +?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)
>>
>> I suspect the '$(dir ..)' syntax is not portable.  Hopefully there
>> should be a alternative.  Can you look into it?
>
> $(dir ...) is most definitely not portable.  One alternative is to use
> $(@D), which is specified in POSIX and essentially works in every make
> implementation that I know of.
>
> However, there are still portability gotchas.  At least one implementation
> (dmake) supports $(@D) in principle but expands it in a not-quite-POSIX-
> compliant way.
>
> POSIX says that the expansion of $(@D) (and similar variables) does not
> include a trailing slash and expands to .  for the current directory
> (i.e., when the target name does not contain a slash).
>
> In dmake, the expansion of $(@D) (and similar variables) for the current
> directory is the empty string, otherwise the expansion contains a trailing
> slash.
>
> In cases where the difference matters, this can be worked around in the
> shell easily enough.  The difference matters if we adapt the above example
> because mkdir with an empty string will fail.  Something like this should
> be pretty portable (untested):
>
>   test x"$(@D)" = x || $(MKDIR_P) "$(@D)"
>
> Another way, perhaps even more portable, would be to do the splitting
> entirely in the shell, e.g., by using expr.

I have searched for similar MKDIR_P constructs in the lib/am files to
know what is the current practice, but I haven't found any.  I think it
might be reasonable to use $(@D) fornow.  In fact Automake is using it
in its own Makefile (see "bin/Automake.inc").

Besides the portability issue, we need to figure out if this bug-fix
doesn't bring some regressions (as suggested by the commit log sample of
my previous email).  I have run the test suite with the changes you have
suggested, and the test suite doesn't complain except for the "XPASS"
concerning the "t/lex-subobj-nodep.sh" test (the one I was refering too
in my previous email).  So this seems to look good, but this isn't
enough to commit it confidently.

I have discovered that this bug is a duplicate of #9859 for which you
have already sent a patch 2 year ago.  :)

Thank you for investigating.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37




Information forwarded to bug-automake@HIDDEN:
bug#27188; Package automake. Full text available.

Message received at 27188 <at> debbugs.gnu.org:


Received: (at 27188) by debbugs.gnu.org; 5 Jun 2017 23:17:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 05 19:17:05 2017
Received: from localhost ([127.0.0.1]:58263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dI1FB-0001mo-87
	for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 19:17:05 -0400
Received: from mail-ot0-f170.google.com ([74.125.82.170]:36391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nbowler@HIDDEN>) id 1dI1F8-0001gI-T0
 for 27188 <at> debbugs.gnu.org; Mon, 05 Jun 2017 19:17:03 -0400
Received: by mail-ot0-f170.google.com with SMTP id i31so5825395ota.3
 for <27188 <at> debbugs.gnu.org>; Mon, 05 Jun 2017 16:17:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=draconx-ca.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=BHMyKPLyZlbL/dQ3QdFnV4Beqq0XzACYGn2tfluiTr0=;
 b=qn9CUNpbk5qV871dK6UmFlln3kInYJYNl+QODZOSRIu8CaPQEPzs5hKLSZKuci5DCU
 uHCaIqcltdO2prCoavwVAeX9ish+Xk5IU0p5uhVMiifCy25KckzXzlP1DhavfRylATYT
 Lc0OZon8TqQ8vvR05i45jnJ/yP2Hc+Z5IGAJvrZ1vQsGH5XPW0HQ4ruDqQQ1o7puRbQO
 esL+uf4pkOufwwyvKYGxdUSMHJiP8c2qOphKhYx6cV7DNRGOrrZ3Ru1gqR3d8UP3PWqv
 xdlq5tmlHaOXysYm5UtOy16a/E2ztjQVyVyLnh9GuaeR/yxcUKWdqMxNnAf+HrJ+Nuaf
 8ruA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=BHMyKPLyZlbL/dQ3QdFnV4Beqq0XzACYGn2tfluiTr0=;
 b=pGFQETfUWd/2HRlX07CudXoL35nd4DMCSWhatIGav5tx/KUx15l5YENE9eeupnINPX
 pIAnC4rvqDqyduStsZZET4yEDMAhnUyn9arg6FfoNlfFSLJP6+Djxu9Uue285Cq4PFZ5
 s1MlpGEDbIOyr1iksCz9yl0EiNfdnyFAA01BM0OSArD7HLqAlNNnhI6NuTL433iCOrKy
 ICAOA/VKr/PhGrayhJ6ZYhhlHLNJHVwhg9MqiAi8toAFqD2xA9BRm7I17WtFgJ5DSfEe
 OCIxX8P7Rymrfo4AARMssNdLoEy9Gq0JiG2ZLhPweIVQKC3cp6oV8UeCkqwIVxjRKUPQ
 7pHQ==
X-Gm-Message-State: AODbwcDbBAgMZ1qsA2YnZgVLLX/xcJkz4GdwFCrzK+JL/G8PDqe1b8R7
 QHm1AtzHMyVeOxSYOWrtmXZwlepaXj9+
X-Received: by 10.157.1.98 with SMTP id 89mr13783424otu.3.1496704617165; Mon,
 05 Jun 2017 16:16:57 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.202.204.78 with HTTP; Mon, 5 Jun 2017 16:16:56 -0700 (PDT)
X-Originating-IP: [2604:a880:0:1010::23:4001]
In-Reply-To: <87vaobwdil.fsf@HIDDEN>
References: <1496327115.8761.26.camel@HIDDEN> <87vaobwdil.fsf@HIDDEN>
From: Nick Bowler <nbowler@HIDDEN>
Date: Mon, 5 Jun 2017 19:16:56 -0400
Message-ID: <CADyTPEwzkmh_N3PeLxNmg8X-VAwiTy7_2hcLCq+LUYovVwp_LA@HIDDEN>
Subject: Re: bug#27188: lex/yacc with subdir-objects and
 --disable-dependency-tracking broken
To: Mathieu Lirzin <mthl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 27188
Cc: Nick Brown <brownn@HIDDEN>, 27188 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On 6/4/17, Mathieu Lirzin <mthl@HIDDEN> wrote:
> Nick Brown <brownn@HIDDEN> writes:
>> diff --git a/lib/am/lex.am b/lib/am/lex.am
>> index d7ddc77..6357507 100644
>> --- a/lib/am/lex.am
>> +++ b/lib/am/lex.am
>> @@ -23,6 +23,7 @@ endif %?MAINTAINER-MODE%
>>
>>  ?GENERIC?%EXT%%DERIVED-EXT%:
>>  ?!GENERIC?%OBJ%: %SOURCE%
>> +?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)
>
> I suspect the '$(dir ..)' syntax is not portable.  Hopefully there
> should be a alternative.  Can you look into it?

$(dir ...) is most definitely not portable.  One alternative is to use
$(@D), which is specified in POSIX and essentially works in every make
implementation that I know of.

However, there are still portability gotchas.  At least one implementation
(dmake) supports $(@D) in principle but expands it in a not-quite-POSIX-
compliant way.

POSIX says that the expansion of $(@D) (and similar variables) does not
include a trailing slash and expands to .  for the current directory
(i.e., when the target name does not contain a slash).

In dmake, the expansion of $(@D) (and similar variables) for the current
directory is the empty string, otherwise the expansion contains a trailing
slash.

In cases where the difference matters, this can be worked around in the
shell easily enough.  The difference matters if we adapt the above example
because mkdir with an empty string will fail.  Something like this should
be pretty portable (untested):

  test x"$(@D)" = x || $(MKDIR_P) "$(@D)"

Another way, perhaps even more portable, would be to do the splitting
entirely in the shell, e.g., by using expr.

Cheers,
  Nick




Information forwarded to bug-automake@HIDDEN:
bug#27188; Package automake. Full text available.

Message received at 27188 <at> debbugs.gnu.org:


Received: (at 27188) by debbugs.gnu.org; 4 Jun 2017 23:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 04 19:15:47 2017
Received: from localhost ([127.0.0.1]:56249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dHekI-0005i7-5l
	for submit <at> debbugs.gnu.org; Sun, 04 Jun 2017 19:15:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1dHekF-0005ht-Ox
 for 27188 <at> debbugs.gnu.org; Sun, 04 Jun 2017 19:15:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1dHek9-0003kc-1w
 for 27188 <at> debbugs.gnu.org; Sun, 04 Jun 2017 19:15:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59077)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1dHek8-0003kT-UE; Sun, 04 Jun 2017 19:15:32 -0400
Received: from [2a01:e35:2ec2:e580:491c:541:7a4a:37d9] (port=33066
 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1dHek8-0005M0-8D; Sun, 04 Jun 2017 19:15:32 -0400
From: Mathieu Lirzin <mthl@HIDDEN>
To: Nick Brown <brownn@HIDDEN>
Subject: Re: bug#27188: lex/yacc with subdir-objects and
 --disable-dependency-tracking broken
References: <1496327115.8761.26.camel@HIDDEN>
Date: Mon, 05 Jun 2017 01:15:30 +0200
In-Reply-To: <1496327115.8761.26.camel@HIDDEN> (Nick Brown's message of
 "Thu, 1 Jun 2017 14:25:15 +0000")
Message-ID: <87vaobwdil.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 27188
Cc: 27188 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Hello,

Nick Brown <brownn@HIDDEN> writes:

> By default Debian dh passes --disable-dependacy-tracking when building.
> If the package rules also adds --builddirectory to use out of source builds
> (eg. "dh $@ --builddirectory=build --parallel --with autoreconf"), and the
> package happens to be using subdir-objects automake option and generated source
> files from lex/yacc then the build will fail.
>
> Eg.
>
> mkdir build
> ../configure --disable-dependency-tracking --disable-silent-rules
> make
>
> /bin/bash ../ylwrap ../src/scanner.ll lex.yy.c src/scanner.cc -- flex
> ../ylwrap: line 206: ../src/scanner.cc: No such file or directory
> Makefile:422: recipe for target 'src/scanner.cc' failed
> make: *** [src/scanner.cc] Error 1

This seems like a known bug since 2011, that would be nice to fix.
There is already an "expected fail" test case for the issue you have
described.  The commit 40c34328d1e5d3ab6885f046ce27517332413c13 which
has intentionaly make the test fail has the following ChangeLog:

+2011-10-20  Stefano Lattarini  <stefano.lattarini@HIDDEN>
+
+	deps: partially revert commit `v1.11-512-geeee551'
+	This change partly reverts commit "Create subdirs for generated
+	sources even when not dep tracking", of 2011-04-02.
+	That commit had caused the bugs #8485 and #8526.  Since we are
+	nearing the bug-fixing automake release 1.11.2, the safest policy
+	at the moment is to just revert the problematic hunks: an older,
+	known bug is better than a regression.
+	* automake.in (handle_single_transform): Don't add a dirstamp
+	dependency, even when $object is derived and lands in a subdir.
+	* tests/Makefile.am (XFAIL_TESTS): Add lex-subobj-nodep.test,
+	remove yacc-dist-nobuild-subdir.test.

This seems to imply that this has not been fixed because of time
constraints before a release.  Can you investigate more to see if your
patch doesn't reintroduce problems from bugs #8485 and #8526?

>
> A simple patch to lex.am and yacc.am fixes this.
>
>>From bd6971224f304c8f5951afca620f33c25248b446 Mon Sep 17 00:00:00 2001
> From: Nicholas Brown <brownn@HIDDEN>
> Date: Fri, 4 Dec 2015 10:49:18 +0000
> Subject: [PATCH] yacc and lex built objects without dependancy tracking
>
> ---
>  lib/am/lex.am  | 1 +
>  lib/am/yacc.am | 1 +
>  2 files changed, 2 insertions(+)
>
> diff --git a/lib/am/lex.am b/lib/am/lex.am
> index d7ddc77..6357507 100644
> --- a/lib/am/lex.am
> +++ b/lib/am/lex.am
> @@ -23,6 +23,7 @@ endif %?MAINTAINER-MODE%
>  
>  ?GENERIC?%EXT%%DERIVED-EXT%:
>  ?!GENERIC?%OBJ%: %SOURCE%
> +?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)

I suspect the '$(dir ..)' syntax is not portable.  Hopefully there
should be a alternative.  Can you look into it? 

>  ?GENERIC?	%VERBOSE%$(am__skiplex) $(SHELL) $(YLWRAP) %SOURCE% $(LEX_OUTPUT_ROOT).c %OBJ% -- %COMPILE%
>  ?!GENERIC?	%VERBOSE% \
>  ?!GENERIC??DIST_SOURCE?	$(am__skiplex) \
> diff --git a/lib/am/yacc.am b/lib/am/yacc.am
> index 2b3f92a..2c33023 100644
> --- a/lib/am/yacc.am
> +++ b/lib/am/yacc.am
> @@ -43,6 +43,7 @@ endif %?FIRST%
>  
>  ?GENERIC?%EXT%%DERIVED-EXT%:
>  ?!GENERIC?%OBJ%: %SOURCE%
> +?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)
>  ?GENERIC?	%VERBOSE%$(am__skipyacc) $(SHELL) $(YLWRAP) %SOURCE% y.tab.c %OBJ% y.tab.h `echo %OBJ% | $(am__yacc_c2h)` y.output %BASE%.output -- %COMPILE%
>  ?!GENERIC?	%VERBOSE% \
>  ?!GENERIC??DIST_SOURCE?	$(am__skipyacc) \

Thank you for you patch.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37




Information forwarded to bug-automake@HIDDEN:
bug#27188; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jun 2017 15:13:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 01 11:13:01 2017
Received: from localhost ([127.0.0.1]:49851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dGRmT-0006p6-TP
	for submit <at> debbugs.gnu.org; Thu, 01 Jun 2017 11:13:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brownn@HIDDEN>) id 1dGRmR-0006os-OE
 for submit <at> debbugs.gnu.org; Thu, 01 Jun 2017 11:12:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brownn@HIDDEN>) id 1dGRmI-0003Si-IY
 for submit <at> debbugs.gnu.org; Thu, 01 Jun 2017 11:12:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47995)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brownn@HIDDEN>) id 1dGRmI-0003ST-F8
 for submit <at> debbugs.gnu.org; Thu, 01 Jun 2017 11:12:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50362)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brownn@HIDDEN>) id 1dGRmH-0006kV-96
 for bug-automake@HIDDEN; Thu, 01 Jun 2017 11:12:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brownn@HIDDEN>) id 1dGRmE-0003LL-3s
 for bug-automake@HIDDEN; Thu, 01 Jun 2017 11:12:45 -0400
Received: from mx0b-000f0801.pphosted.com ([2620:100:9005:71::1]:45922
 helo=mx0a-000f0801.pphosted.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brownn@HIDDEN>) id 1dGRmD-0003JC-U0
 for bug-automake@HIDDEN; Thu, 01 Jun 2017 11:12:42 -0400
Received: from pps.filterd (m0048192.ppops.net [127.0.0.1])
 by mx0b-000f0801.pphosted.com (8.16.0.20/8.16.0.20) with SMTP id
 v51EKfv1031061
 for <bug-automake@HIDDEN>; Thu, 1 Jun 2017 07:25:19 -0700
Received: from brmwp-exmb11.corp.brocade.com ([208.47.132.227])
 by mx0b-000f0801.pphosted.com with ESMTP id 2aq8r2g9nd-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-SHA384 bits=256 verify=NOT)
 for <bug-automake@HIDDEN>; Thu, 01 Jun 2017 07:25:19 -0700
Received: from EMEAWP-EXMB11.corp.brocade.com (172.29.11.85) by
 BRMWP-EXMB11.corp.brocade.com (172.16.59.77) with Microsoft SMTP Server (TLS)
 id 15.0.1210.3; Thu, 1 Jun 2017 08:25:17 -0600
Received: from EMEAWP-EXMB12.corp.brocade.com (172.29.11.86) by
 EMEAWP-EXMB11.corp.brocade.com (172.29.11.85) with Microsoft SMTP Server
 (TLS) id 15.0.1210.3; Thu, 1 Jun 2017 16:25:16 +0200
Received: from EMEAWP-EXMB12.corp.brocade.com ([fe80::44d8:98be:88a6:417a]) by
 EMEAWP-EXMB12.corp.brocade.com ([fe80::44d8:98be:88a6:417a%23]) with
 mapi id 15.00.1210.000; Thu, 1 Jun 2017 16:25:16 +0200
From: Nick Brown <brownn@HIDDEN>
To: "bug-automake@HIDDEN" <bug-automake@HIDDEN>
Subject: lex/yacc with subdir-objects and --disable-dependency-tracking broken
Thread-Topic: lex/yacc with subdir-objects and --disable-dependency-tracking
 broken
Thread-Index: AQHS2uLj82g1YbizfU6br51UzT/d0g==
Date: Thu, 1 Jun 2017 14:25:15 +0000
Message-ID: <1496327115.8761.26.camel@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-exchange-transport-fromentityheader: Hosted
x-originating-ip: [172.27.212.149]
Content-Type: multipart/mixed; boundary="_002_1496327115876126camelbrocadecom_"
MIME-Version: 1.0
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10432:, ,
 definitions=2017-06-01_03:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 impostorscore=0 adultscore=0 classifier=spam adjust=0
 reason=mlx scancount=1 engine=8.0.1-1703280000 definitions=main-1706010260
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--_002_1496327115876126camelbrocadecom_
Content-Type: text/plain; charset="utf-8"
Content-ID: <B1A14FD355D6264EBAE79E5D3FEEEE62@HIDDEN>
Content-Transfer-Encoding: base64

QnkgZGVmYXVsdCBEZWJpYW4gZGggcGFzc2VzIC0tZGlzYWJsZS1kZXBlbmRhY3ktdHJhY2tpbmcg
d2hlbiBidWlsZGluZy4NCklmIHRoZSBwYWNrYWdlIHJ1bGVzIGFsc28gYWRkcyAtLWJ1aWxkZGly
ZWN0b3J5IHRvIHVzZSBvdXQgb2Ygc291cmNlIGJ1aWxkcw0KKGVnLiAiZGggJEAgLS1idWlsZGRp
cmVjdG9yeT1idWlsZCAtLXBhcmFsbGVsIC0td2l0aCBhdXRvcmVjb25mIiksIGFuZCB0aGUNCnBh
Y2thZ2UgaGFwcGVucyB0byBiZSB1c2luZyBzdWJkaXItb2JqZWN0cyBhdXRvbWFrZSBvcHRpb24g
YW5kIGdlbmVyYXRlZCBzb3VyY2UNCmZpbGVzIGZyb20gbGV4L3lhY2MgdGhlbiB0aGUgYnVpbGQg
d2lsbCBmYWlsLg0KDQpFZy4NCg0KbWtkaXIgYnVpbGQNCi4uL2NvbmZpZ3VyZSAtLWRpc2FibGUt
ZGVwZW5kZW5jeS10cmFja2luZyAtLWRpc2FibGUtc2lsZW50LXJ1bGVzDQptYWtlDQoNCi9iaW4v
YmFzaCAuLi95bHdyYXAgLi4vc3JjL3NjYW5uZXIubGwgbGV4Lnl5LmMgc3JjL3NjYW5uZXIuY2Mg
LS0gZmxleA0KLi4veWx3cmFwOiBsaW5lIDIwNjogLi4vc3JjL3NjYW5uZXIuY2M6IE5vIHN1Y2gg
ZmlsZSBvciBkaXJlY3RvcnkNCk1ha2VmaWxlOjQyMjogcmVjaXBlIGZvciB0YXJnZXQgJ3NyYy9z
Y2FubmVyLmNjJyBmYWlsZWQNCm1ha2U6ICoqKiBbc3JjL3NjYW5uZXIuY2NdIEVycm9yIDENCg0K
QSBzaW1wbGUgcGF0Y2ggdG8gbGV4LmFtIGFuZCB5YWNjLmFtIGZpeGVzIHRoaXMuDQo=

--_002_1496327115876126camelbrocadecom_
Content-Type: text/x-patch;
	name="0001-yacc-and-lex-built-objects-without-dependancy-tracking.patch"
Content-Description: 0001-yacc-and-lex-built-objects-without-dependancy-tracking.patch
Content-Disposition: attachment;
	filename="0001-yacc-and-lex-built-objects-without-dependancy-tracking.patch";
	size=1257; creation-date="Thu, 01 Jun 2017 14:25:15 GMT";
	modification-date="Thu, 01 Jun 2017 14:25:15 GMT"
Content-ID: <96901421A8F99841BD93BBFD4E2CA7B3@HIDDEN>
Content-Transfer-Encoding: base64

PkZyb20gYmQ2OTcxMjI0ZjMwNGM4ZjU5NTFhZmNhNjIwZjMzYzI1MjQ4YjQ0NiBNb24gU2VwIDE3
IDAwOjAwOjAwIDIwMDEKRnJvbTogTmljaG9sYXMgQnJvd24gPGJyb3dubkBicm9jYWRlLmNvbT4K
RGF0ZTogRnJpLCA0IERlYyAyMDE1IDEwOjQ5OjE4ICswMDAwClN1YmplY3Q6IFtQQVRDSF0geWFj
YyBhbmQgbGV4IGJ1aWx0IG9iamVjdHMgd2l0aG91dCBkZXBlbmRhbmN5IHRyYWNraW5nCgotLS0K
IGxpYi9hbS9sZXguYW0gIHwgMSArCiBsaWIvYW0veWFjYy5hbSB8IDEgKwogMiBmaWxlcyBjaGFu
Z2VkLCAyIGluc2VydGlvbnMoKykKCmRpZmYgLS1naXQgYS9saWIvYW0vbGV4LmFtIGIvbGliL2Ft
L2xleC5hbQppbmRleCBkN2RkYzc3Li42MzU3NTA3IDEwMDY0NAotLS0gYS9saWIvYW0vbGV4LmFt
CisrKyBiL2xpYi9hbS9sZXguYW0KQEAgLTIzLDYgKzIzLDcgQEAgZW5kaWYgJT9NQUlOVEFJTkVS
LU1PREUlCiAKID9HRU5FUklDPyVFWFQlJURFUklWRUQtRVhUJToKID8hR0VORVJJQz8lT0JKJTog
JVNPVVJDRSUKKz9TVUJESVJPQko/CSVTSUxFTlQldGVzdCAtZCAkKGRpciAkQCkgfHwgJChNS0RJ
Ul9QKSAkKGRpciAkQCkKID9HRU5FUklDPwklVkVSQk9TRSUkKGFtX19za2lwbGV4KSAkKFNIRUxM
KSAkKFlMV1JBUCkgJVNPVVJDRSUgJChMRVhfT1VUUFVUX1JPT1QpLmMgJU9CSiUgLS0gJUNPTVBJ
TEUlCiA/IUdFTkVSSUM/CSVWRVJCT1NFJSBcCiA/IUdFTkVSSUM/P0RJU1RfU09VUkNFPwkkKGFt
X19za2lwbGV4KSBcCmRpZmYgLS1naXQgYS9saWIvYW0veWFjYy5hbSBiL2xpYi9hbS95YWNjLmFt
CmluZGV4IDJiM2Y5MmEuLjJjMzMwMjMgMTAwNjQ0Ci0tLSBhL2xpYi9hbS95YWNjLmFtCisrKyBi
L2xpYi9hbS95YWNjLmFtCkBAIC00Myw2ICs0Myw3IEBAIGVuZGlmICU/RklSU1QlCiAKID9HRU5F
UklDPyVFWFQlJURFUklWRUQtRVhUJToKID8hR0VORVJJQz8lT0JKJTogJVNPVVJDRSUKKz9TVUJE
SVJPQko/CSVTSUxFTlQldGVzdCAtZCAkKGRpciAkQCkgfHwgJChNS0RJUl9QKSAkKGRpciAkQCkK
ID9HRU5FUklDPwklVkVSQk9TRSUkKGFtX19za2lweWFjYykgJChTSEVMTCkgJChZTFdSQVApICVT
T1VSQ0UlIHkudGFiLmMgJU9CSiUgeS50YWIuaCBgZWNobyAlT0JKJSB8ICQoYW1fX3lhY2NfYzJo
KWAgeS5vdXRwdXQgJUJBU0UlLm91dHB1dCAtLSAlQ09NUElMRSUKID8hR0VORVJJQz8JJVZFUkJP
U0UlIFwKID8hR0VORVJJQz8/RElTVF9TT1VSQ0U/CSQoYW1fX3NraXB5YWNjKSBcCi0tIAoyLjEu
NAoK

--_002_1496327115876126camelbrocadecom_--




Acknowledgement sent to Nick Brown <brownn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#27188; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Jun 2017 11:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.